Project Chrono: chrono::irrlicht::ChIrrNodeModel Class Reference

Public Member Functions | List of all members
chrono::irrlicht::ChIrrNodeModel Class Reference
IRRLICHT module

## Description

Irrlicht scene node associated with the visual model of a physics item.

Such a node contains children nodes for each visual shape in the physics item's visual model.

`#include <ChIrrNodeModel.h>`

## Public Member Functions
| ChIrrNodeModel (std::weak_ptr< ChPhysicsItem > physicsitem, irr::scene::ISceneNode *parent, irr::scene::ISceneManager *mgr, irr::s32 id)
| Construct an Irrlicht scene node for the visual model associated with the specified physics item.
std::weak_ptr< ChPhysicsItem > | GetPhysicsItem ()
| Get the physics item associated with this scene node.
void | UpdateChildren ()
| Update the chidlren Irrlicht nodes associated with individual visual shapes.
bool | SetupClones ()
| Setup use of clones for visual models that use multiple instances of the same visual shape.

## Constructor & Destructor Documentation

## ◆ ChIrrNodeModel()

chrono::irrlicht::ChIrrNodeModel::ChIrrNodeModel | ( | std::weak_ptr< ChPhysicsItem > | physicsitem,
|  | irr::scene::ISceneNode * | parent,
|  | irr::scene::ISceneManager * | mgr,
|  | irr::s32 | id )

Construct an Irrlicht scene node for the visual model associated with the specified physics item.

These nodes are all children of the top-level Irrlicht container node and they are each populate with children nodes associated to the various visual shapes in the model. A mapping between physics items and the Irrlicht scene nodes is managed by the Irrlicht visualization system object.

Parameters

  physicsitem | pointer to the associated physics item
  parent | parent node in Irrlicht hierarchy
  mgr | Irrlicht scene manager
  id | Irrlicht identifier

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_irrlicht/ChIrrNodeModel.h
- D:/W/B/src/chrono-9.0.1/src/chrono_irrlicht/ChIrrNodeModel.cpp